Consultar entrega

Retorna o estado atual de uma entrega despachada à sua transportadora.

Header obrigatório. Toda chamada exige o header x-abbiamo-seller-group-key. Preencha-o no canto superior direito desta página ou veja como obter a sua chave.

Este endpoint retorna os dados da entrega. Inclui nota fiscal, cliente, endereços, eventos, recebedor e anexos.

GET
/v1/delivery/{delivery_id}
x-abbiamo-carrier-key<token>

In: header

Path Parameters

delivery_id*string

ID da entrega enviado nos eventos de webhook

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/delivery/string"
"{\n\t\"id\": \"c872e0e8-6ff0-40f6-a5c1-4712131d642d\",\n\t\"order_number\": \"10\",\n\t\"tracking\": \"ncmd-jk\",\n\t\"amount\": \"899\",\n\t\"status\": \"ORDER_FAILED\",\n\t\"sub_status\": \"CARRIER_TIMEOUT\",\n\t\"invoice_number\": \"example_invoice_number_1\",\n  \"invoice_access_key\": \"42081183123141000200550010000007010046403276\",\n  \"invoice_created_at\": \"2023-06-22T18:59:37.024Z\",\n\t\"eta\": null,\n\t\"driver_name\": null,\n\t\"driver_document\": null,\n\t\"driver_phone\": null,\n\t\"external_id\": null,\n\t\"support_id\": null,\n\t\"expected_carrier_delivery_date\": \"2023-08-22T02:59:00.000Z\",\n\t\"expected_delivery_price\": null,\n\t\"created_at\": \"2023-08-21T17:07:06.352Z\",\n\t\"seller\": {\n\t\t\"seller_name\": \"Go Go Fruits\",\n    \"seller_id\": \"eb064ede-08f3-470e-a37c-5b796a17cca8\",\n    \"seller_document_number\": \"88399480000156\",\n    \"seller_group_id\": \"b7d56bca-606e-405e-bf4d-9b0a3291b61d\",\n\t},\n\t\"customer\": {\n\t\t\"name\": \"Machado de Assis\",\n    \"phone\": \"911111111\",\n    \"phone_country_code\": \"55\",\n    \"document_number\": \"********000\"\n\t},\n\t\"source_address\": {\n\t\t\"zip_code\": \"04029904\",\n    \"country\": \"BRA\",\n    \"state\": \"SP\",\n    \"city\": \"São Paulo\",\n    \"neighborhood\": \"Indianópolis\",\n    \"street\": \"Avenida Ibirapuera\",\n    \"street_number\": \"3407\",\n    \"complement\": null,\n    \"reference\": null,\n    \"latitude\": -23.52045997445427,\n    \"longitude\": -46.438805678513575\n\t},\n\t\"destination_address\": {\n\t\t\"zip_code\": \"08050360\",\n    \"country\": \"BRA\",\n    \"state\": \"SP\",\n    \"city\": \"São Paulo\",\n    \"neighborhood\": \"Jardim das Camélias\",\n    \"street\": \"Rua Doutor Alfredo Sales\",\n    \"street_number\": \"931\",\n    \"complement\": \"sala 2\",\n    \"reference\": null,\n    \"latitude\": -23.834499518193947,\n    \"longitude\": -45.37406370734008\n\t},\n\t\"receiver\": null,\n\t\"attachments\": null,\n\t\"events\": [\n\t\t{\n\t\t\t\"id\": \"fc9e3e38-da3c-433c-ad2e-1a3aacbed214\",\n\t\t\t\"status\": \"PENDING\",\n\t\t\t\"sub_status\": \"WAITING_FOR_CARRIER\",\n\t\t\t\"observation\": null,\n\t\t\t\"failure_code\": null,\n\t\t\t\"failure_message\": null,\n\t\t\t\"failure_driver_message\": null,\n\t\t\t\"event_at\": \"2023-08-21T17:07:06.353Z\",\n\t\t\t\"created_at\": \"2023-08-21T17:07:06.968Z\"\n\t\t},\n\t\t{\n\t\t\t\"id\": \"ff91cae7-104c-4f57-8d8c-f0ba57bc9573\",\n\t\t\t\"status\": \"ORDER_FAILED\",\n\t\t\t\"sub_status\": \"CARRIER_TIMEOUT\",\n\t\t\t\"observation\": null,\n\t\t\t\"failure_code\": null,\n\t\t\t\"failure_message\": null,\n\t\t\t\"failure_driver_message\": null,\n\t\t\t\"event_at\": \"2023-08-21T17:40:59.744Z\",\n\t\t\t\"created_at\": \"2023-08-21T17:40:59.893Z\"\n\t\t}\n\t]\n}"
"{\n\t\"statusCode\": 400,\n\t\"message\": \"Invoice is not available for takeout\",\n\t\"error\": \"Bad Request\"\n}"
"{\n  \"message\": \"Unauthorized\"\n}"